<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>ru.entaxy.esb.system.core.events</groupId>
        <artifactId>events</artifactId>
        <version>1.10.1</version>
        <relativePath>../../events/pom.xml</relativePath>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <artifactId>events-handler</artifactId>
    <name>SYSTEM :: ENTAXY :: CORE :: EVENTS :: HANDLER</name>
    <packaging>bundle</packaging>

    <properties>
        <bundle.osgi.import.pkg>
            org.apache.camel.component.jms,
            ru.entaxy.esb.system.core.events.jpa,
            ru.entaxy.esb.system.core.events.jpa.entity,
            ru.entaxy.esb.system.jpa.entity,
            com.google.gson.reflect,
            *
        </bundle.osgi.import.pkg>
        <!-- bundle.osgi.private.pkg>
        	ru.entaxy.esb.system.core.events.handler,
        	ru.entaxy.esb.system.core.events.handler.util
        </bundle.osgi.private.pkg -->
        <camel-eventadmin.version>3.1.0</camel-eventadmin.version>
        <org.osgi.service.event.version>1.4.0</org.osgi.service.event.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.apache.activemq</groupId>
            <artifactId>artemis-jms-client</artifactId>
            <version>${activemq.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.registry.systems</groupId>
            <artifactId>system-api</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.core.events</groupId>
            <artifactId>events-api</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.core.events</groupId>
            <artifactId>events-common</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-eventadmin</artifactId>
            <version>${camel-eventadmin.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-gson</artifactId>
        </dependency>

        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency>

        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>org.osgi.service.event</artifactId>
            <version>${org.osgi.service.event.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-core</artifactId>
        </dependency>
    </dependencies>
</project>
